Altibase.jdbc.driver

## Class AltibaseForwardOnlyResultSet

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseResultSet
  - - Altibase.jdbc.driver.AltibaseReadableResultSet
    - - Altibase.jdbc.driver.AltibaseForwardOnlyResultSet

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

    public class AltibaseForwardOnlyResultSet
    extends AltibaseReadableResultSet

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseResultSet

`mContext, mFetchSize, mStatement, mWarning`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
`protected` `AltibaseForwardOnlyResultSet(AltibaseStatement aStatement, CmProtocolContextDirExec aContext, int aFetchSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `absolute(int aRow)`
`void` `afterLast()`
`void` `beforeFirst()`
`void` `close()`
`protected void` `closeResultSetCursor()`
`int` `getRow()`
`protected java.util.List<Column>` `getTargetColumns()`
`int` `getType()`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `next()`
`boolean` `previous()`
`void` `refreshRow()`
`protected RowHandle` `rowHandle()` Fetch한 데이타에 접근하기 위한 handle을 얻는다.

### Methods inherited from class Altibase.jdbc.driver.AltibaseReadableResultSet

`cancelRowUpdates, closeResultSetCursorInternal, deleteRow, first, getConcurrency, insertRow, last, moveToCurrentRow, moveToInsertRow, relative, rowDeleted, rowInserted, rowUpdated, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateClob, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNString, updateNull, updateObject, updateObject, updateRow, updateShort, updateString, updateTime, updateTimestamp`

### Methods inherited from class Altibase.jdbc.driver.AltibaseResultSet

`checkFetchDirection, clearWarnings, createSQLFeatureNotSupportedException, cursorMoved, fetchRemains, findColumn, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getExplainPlan, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTargetColumn, getTargetColumnCount, getTargetColumnInfo, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, isClosed, isWrapperFor, registerTarget, setAllowLobNullSelect, setClosed, setFetchDirection, setFetchSize, throwErrorForClosed, throwErrorForForwardOnly, throwErrorForReadOnly, throwErrorForScrollInsensitive, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNull, updateObject, updateObject, updateRef, updateRef, updateRowId, updateRowId, updateShort, updateSQLXML, updateSQLXML, updateString, updateTime, updateTimestamp, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Constructor Detail

#### AltibaseForwardOnlyResultSet

    protected AltibaseForwardOnlyResultSet(AltibaseStatement aStatement,
                                           CmProtocolContextDirExec aContext,
                                           int aFetchSize)
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.ResultSet`
Overrides:
  `close` in class `AltibaseResultSet`
Throws:
  `java.sql.SQLException`

#### closeResultSetCursor

    protected void closeResultSetCursor()
                                 throws java.sql.SQLException

Overrides:
  `closeResultSetCursor` in class `AltibaseResultSet`
Throws:
  `java.sql.SQLException`

#### rowHandle

    protected RowHandle rowHandle()

Description copied from class: `AltibaseReadableResultSet`
Fetch한 데이타에 접근하기 위한 handle을 얻는다.

Specified by:
  `rowHandle` in class `AltibaseReadableResultSet`
Returns:
  row 데이타에 접근하기 위한 handle

#### getTargetColumns

    protected java.util.List<Column> getTargetColumns()

Specified by:
  `getTargetColumns` in class `AltibaseResultSet`
Returns:
  타겟 컬럼맵

#### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getRow

    public int getRow()
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isLast

    public boolean isLast()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### next

    public boolean next()
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### absolute

    public boolean absolute(int aRow)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### afterLast

    public void afterLast()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### previous

    public boolean previous()
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getType

    public int getType()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`